Foreman - Bug #26679

Missing attributes for report templates in API output
04/25/2019 05:54 AM - Ondrej Prazak

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Templates
Target version:
Difficulty: Fixed in Releases: 1.22.0
Triaged: No Found in Releases:
Bugzilla link: 1702676 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6711,
https://github.com/theforeman/foreman/p
ull/6821
Description

Description of problem:
"GET https://$(hostname)/api/report_templates/:id" doesn't show all report template attributes, e.g. Snippet, Locked or

Audit_comment. All of these are available through WebUI.

Steps to Reproduce:

1. Create a report template
2. GET report template through API:

1. curl -u admin:<password> -H "Accept: version=2, application/json" -H "Content-Type: application/json" -k -X GET
https://$(hostname)/api/report_templates/&lt;id>

Actual results:

Report template returned, but some attributes are missing

Expected results:

Report template returned with all attributes

Associated revisions

Revision b24b0f91 - 04/26/2019 01:41 PM - Ondiej Prazak
Fixes #26679 - Add report template API attributes

History

#1 - 04/25/2019 05:55 AM - Ondfej Prazak

- Subject changed from Missing attributes for report templates in API output

to Missing attributes for report templates in APl output

- Category changed from Statistics to Templates

#2 - 04/25/2019 07:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondrej Prazak

- Pull request https://github.com/theforeman/foreman/pull/6711 added

#3 - 04/26/2019 02:02 PM - Ondfej Prazak

- Status changed from Ready For Testing to Closed

Applied in changeset b24b0f91083aea16d6df6faa26f476c2436e9f00.

#4 - 04/29/2019 09:10 AM - Marek Hulan

05/20/2024

1/2



https://$(hostname)/api/report_templates/:id
https://$(hostname)/api/report_templates/&lt;id
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/b24b0f91083aea16d6df6faa26f476c2436e9f00

- Fixed in Releases 1.23.0 added

#5 - 06/04/2019 10:57 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/6821 added

#6 - 06/04/2019 11:28 AM - Tomer Brisker
- Fixed in Releases 1.22.0 added
- Fixed in Releases deleted (1.23.0)
